﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="C1Chart.Default" %>

<%@ Register assembly="C1.Web.Wijmo.Controls.4" namespace="C1.Web.Wijmo.Controls.C1Chart" tagprefix="cc1" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script>
        $(document).ready(function () {
            //ajax call to get the data
            $.ajax({
                type: "POST",
                url: "GetOrders.asmx/GetDataOnLoad",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                data: {},
                success: function (data) {
                    var arr = [];
                    try {
                        //push the data in an array
                        $.each(data.d, function (i, elem) {
                            arr.push({
                                Year: elem.Year,
                                OrderAmount: elem.OrderAmount
                            });
                        });
                        //initialize the barchart widget
                        $("#C1BarChart1").c1barchart({
                            shadow: false,
                            hint: { content: function () { return this.data.label + '\n ' + this.y + ''; } },
                            //set the datasource of the BarChart
                            dataSource: arr,
                            seriesList: [{
                                label: "Yearly Amount of Orders",
                                legendEntry: true,
                                data: { x: { bind: "Year" }, y: { bind: "OrderAmount" } }
                            }],
                            seriesStyles: [{ fill: "180-#ff9900-#ff6600", stroke: "#ff7800", opacity: 0.8 }],
                        });
                    }
                    catch (e) {
                        alert(e);
                        return;
                    }

                },
                error: function (result, status) {
                    if (status = "error") {
                        console.log(result, status);
                    }
                }
            });

            $("#C1BarChart1").c1barchart({
                click: function (sender, args) {

                    //ajax call to get the data
                    $.ajax({
                        type: "POST",
                        url: "GetOrders.asmx/GetOrderByMonth",
                        contentType: "application/json; charset=utf-8",
                        dataType: "json",
                        //pass the year selected
                        data: "{Year:'" + args.x + "'}",
                        success: function (data) {
                            var arr = [];
                            try {
                                //push the data in an array
                                $.each(data.d, function (i, elem) {
                                    arr.push({
                                        Month: elem.Month,
                                        OrderAmount: elem.OrderAmount
                                    });
                                });
                                //set the datasource of the BarChart
                                $("#C1BarChart1").c1barchart({
                                    horizontal: false,
                                   
                                    dataSource: arr,
                                    seriesList: [{
                                        label: "Orders By Month in year " + args.x,
                                        legendEntry: true,
                                        data: { x: { bind: "Month" }, y: { bind: "OrderAmount" } }
                                    }],
                                    //attach new handler with click event
                                    click: OrdersByDay
                                });
                                //Save the selected year for further driling down
                                $("#HiddenField1")[0].value = args.x;
                            }
                            catch (e) {
                                alert(e);
                                return;
                            }
                        },
                        error: function (result, status) {
                            if (status = "error") {
                                console.log(result,status)
                            }
                        }
                    });
                }
            });
            
        });
        //method invoked when Month is selected to drill down to days in a month
        function OrdersByDay(sender, args) {

            var year = $("#HiddenField1")[0].value;
            var month = args.x;
            //ajax call to get the data
            $.ajax({
                type: "POST",
                url: "GetOrders.asmx/GetOrderByDay",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                data: '{"Month":"' + month + '","Year":"' + year + '"}',
                success: function (data) {
                    var arr = [];
                    try {
                        //push the data in an array
                        $.each(data.d, function (i, elem) {

                            arr.push({
                                Day: elem.Day,
                                OrderAmount: elem.OrderAmount
                            });
                        });
                        //set the datasource of the BarChart
                        $("#C1BarChart1").c1barchart("destroy");
                        $("#C1BarChart1").c1barchart({
                            shadow: false,
                            showChartLabels: false,
                            textStyle: { fill: "#b2b2b2", "font-weight": "bold", "font-size": 15 },
                            axis: {
                                y: {
                                    labels: { style: { fill: "#242529", "font-size": 11 } },
                                    gridMajor: { style: { stroke: "#353539", "stroke-dasharray": "- " } }
                                },
                                x: {
                                    labels: {
                                        style: { fill: "#7f7f7f", "font-size": 11 }
                                    }
                                }
                            },
                            hint: { content: function () { return this.data.label + '\n ' + this.y + ''; } },
                            header: { text: "Order Details" },
                            horizontal: false,
                            dataSource: arr,
                            seriesList: [{
                                label: "Orders By Days in Month " + month + "," + year,
                                legendEntry: true,
                                data: { x: { bind: "Day" }, y: { bind: "OrderAmount" } }
                            }],
                            seriesStyles: [{ fill: "180-#ff9900-#ff6600", stroke: "#ff7800", opacity: 0.8 }],
                            seriesHoverStyles: [{ "stroke-width": 1.5, opacity: 1 }]
                        });
                        $("#C1BarChart1").c1barchart("redraw");
                    }
                    catch (e) {
                        alert(e);
                        return;
                    }
                },

                error: function (result, status) {
                    if (status = "error") {
                        alert(status);
                    }
                }
            });

        }

        function exportChartToImage() {
            var serviceUrl = "https://demos.componentone.com/ASPNET/ExportService";
            var url = serviceUrl + "/exportapi/chart";
            $("#C1BarChart1").c1barchart("exportChart", "barchart","Png" , url);
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            Chart
            <%--<wijmo:C1LineChart ID="C1LineChart1" runat="server" Culture="en-IN"  >
            </wijmo:C1LineChart>--%>
           <cc1:C1BarChart ID="C1BarChart1" runat="server" Horizontal="false" ShowChartLabels="false" >     
             <Header Text="Order Details"></Header>
            <TextStyle Fill-Color="#b2b2b2" FontWeight="bold" FontSize="15"></TextStyle>
            <SeriesHoverStyles>
                <cc1:ChartStyle StrokeWidth="1.5" Opacity="1" ></cc1:ChartStyle>
            </SeriesHoverStyles>
            <Axis>
                <X>
                    <Labels>
                        <Style Fill-Color="#7f7f7f" FontSize="11"></Style>
                    </Labels>
                </X>
                <Y Compass="West">
                    <GridMajor>
                        <Style Stroke="#353539" StrokeDashArray="-"></Style>
                    </GridMajor>
                    <Labels>
                        <Style Fill-Color="#242529" FontSize="11"></Style>
                    </Labels>
                </Y>
            </Axis>
            </cc1:C1BarChart>
            <asp:HiddenField ID="HiddenField1" runat="server" ClientIDMode="Static" />
            <br />
            <br />
            
        </div>
    </form>
</body>
</html>
